Last Comment Bug 766717 - nsNodeInfoManager needs to be able to add itself to the purple buffer
: nsNodeInfoManager needs to be able to add itself to the purple buffer
Status: RESOLVED FIXED
:
Product: Core
Classification: Components
Component: XPCOM (show other bugs)
: unspecified
: All All
: -- normal (vote)
: mozilla16
Assigned To: Bill McCloskey (:billm)
:
Mentors:
Depends on:
Blocks: 782735
  Show dependency treegraph
 
Reported: 2012-06-20 14:26 PDT by Bill McCloskey (:billm)
Modified: 2012-08-15 16:50 PDT (History)
2 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
patch (5.97 KB, patch)
2012-06-20 14:26 PDT, Bill McCloskey (:billm)
bugs: review+
Details | Diff | Review

Description Bill McCloskey (:billm) 2012-06-20 14:26:19 PDT
Created attachment 635067 [details] [diff] [review]
patch

This is similar to bug 750424, but for nsNodeInfoManager. This was causing intermittent leaks with the patches in bug 758034 applied. With this patch, the leaks are gone.
Comment 1 Olli Pettay [:smaug] (high review load, please consider other reviewers) 2012-06-20 14:30:53 PDT
Comment on attachment 635067 [details] [diff] [review]
patch


>+NS_IMPL_CYCLE_COLLECTING_ADDREF(nsNodeInfoManager)
>+NS_IMPL_CYCLE_COLLECTING_RELEASE(nsNodeInfoManager)
>+
>+NS_INTERFACE_MAP_BEGIN_CYCLE_COLLECTION(nsNodeInfoManager)
>+    NS_INTERFACE_MAP_ENTRY(nsISupports)
2 space indentation, please
Comment 2 Andrew McCreight (PTO-ish through 6-29) [:mccr8] 2012-06-20 18:08:04 PDT
Sorry I haven't fixed bug 750570 yet. :(
Comment 4 Ed Morley [:emorley] 2012-06-27 03:35:49 PDT
https://hg.mozilla.org/mozilla-central/rev/5135641e4496

Note You need to log in before you can comment on or make changes to this bug.